#!/usr/bin/python3

from tkinter import *   
from tkinter import colorchooser         

fenetre = Tk()

# fonction de chargement de l'image


# fonction de dessin d'un cercle
def clique(event):

    X = event.x                                       # on recupère la position de la souris
    Y = event.y
    if vcheck.get() == 0:
        r = int(spin.get())                               # on récupère la taille du pinceau
        canvas.create_oval(X-r, Y-r, X+r, Y+r, outline = boutCouleur.couleur, fill = boutCouleur.couleur)    # on trace le cercle    
    else:
        canvas.x1 = X                                 # on stocke la position actuelle
        canvas.y1 = Y

# fonction de dessin d'un cercle
def bouge(event):

    X = event.x                                       # on recupère la position de la souris
    Y = event.y
    if !vcheck.get():
        r = int(spin.get())                               # on récupère la taille du pinceau
        canvas.create_oval(X-r, Y-r, X+r, Y+r, outline = boutCouleur.couleur, fill = boutCouleur.couleur)    # on trace le cercle    

# fonction de dessin d'un cercle
def lache(event):
    
    if vcheck.get():
        x2 = event.x                                       # on recupère la position de la souris
        y2 = event.y
        x1 = canvas.x1                                     # on  récupère la position sockée avant
        y1 = canvas.y1
        r = int(spin.get())                               # on récupère la taille du pinceau
        canvas.create_line(x1, y1, x2, y2, width = r, fill = boutCouleur.couleur)    # on trace la ligne
        

# fonction pour choisir la couleur
def choixCouleur():
  
    (c, boutCouleur.couleur) = colorchooser.askcolor(boutCouleur.couleur)


frame = Frame(fenetre)                                                   # un cadre pour grouper des widget

boutCouleur =  Button(frame, text = "Couleur", command = choixCouleur) 

boutCouleur.couleur = '#808080'                                       # pour que la couleur courante soit suvegardée quelquepart

boutCouleur.grid()                                                    # par défaut en position (0,0)

label = Label(frame, text = "taille")

label.grid(row = 0, column = 1)

spin = Spinbox(frame, from_ = 1, to = 50, increment = 1)

spin.grid(row = 0, column = 2)

vcheck = IntVar()                                                 # on crée une variable pour l'etat de la boite à cocher 

check = Checkbutton(frame, text = "lignes", variable = vcheck)    # on cree la boite a cocher

check.grid(row = 0, column = 3)

frame.pack()

canvas = Canvas(fenetre, width = 400, height = 300)

canvas.bind('<Button-1>', clique)                                      # la foction dessin va etre appelée quand on clique à gauche

canvas.bind('<B1-Motion>', bouge)                                     # la fonction dessin va être appelée quand on bouge la souris alors que le bouton gauche est enfoncé

canvas.bind('<ButtonRelease-1>', lache)                                     # la fonction dessin va être appelée quand on bouge la souris alors que le bouton gauche est enfoncé

canvas.pack()

fenetre.mainloop()